/*
 * Ruby-Debian, a Ruby interface for Debian packaging aspects
 * Copyright (c) 2009 Marc Dequènes (Duck) <Duck@DuckCorp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

%module "debian_apt"

%include "std_string.i"

%{
#include <apt-pkg/pkgcache.h>
#include <apt-pkg/debversion.h>
%}

using namespace std;

class pkgCache
{
   public:

   static const char *CompTypeDeb(unsigned char Comp);
   static const char *CompType(unsigned char Comp);
   static const char *DepType(unsigned char Dep);

   pkgCache(MMap *Map,bool DoMap = true);
};

class debVersioningSystem : public pkgVersioningSystem
{     
   public:

   int CmpVersion(string A,string B);
   bool CheckDep(const char *PkgVer,int Op,const char *DepVer);
   string UpstreamVersion(const char *A);

   debVersioningSystem();
};

extern debVersioningSystem debVS;

